import { CSSProperties } from "react";
export declare type THtmlEditorHighlightCustomButton = {
    name: string;
    iconUrl: string;
    tooltip?: string;
    onClick: (editor: any, text: string, colorName: string) => void;
};
export declare type THtmlEditorProps = {
    content: string;
    placeholder?: string;
    style?: CSSProperties;
    className?: string;
    inputStyle?: CSSProperties;
    inputClassName?: string;
    hideH1?: boolean;
    hideH2?: boolean;
    hideH3?: boolean;
    hideH4?: boolean;
    supportHighlight?: boolean;
    supportSourceCode?: boolean;
    readonly?: boolean;
    id?: string;
    onChange?: (content: string) => void;
    onReady?: () => void;
    highlightCustomButtons?: THtmlEditorHighlightCustomButton[];
    onHighlight?: (editor: any, color: string) => void;
    recordId?: string;
    entityName?: string;
    attributeName?: string;
    highlightColors?: string[];
};
export declare type THtmlEditorFloatEditToolbarProps = {
    editor: any;
    supportHighlight?: boolean;
    hideH1?: boolean;
    hideH2?: boolean;
    hideH3?: boolean;
    hideH4?: boolean;
    supportSourceCode?: boolean;
};
export declare type THtmlEditorFloatHighlightToolbarProps = {
    editor: any;
    customButtons?: THtmlEditorHighlightCustomButton[];
    onHighlight?: (editor: any, color: string) => void;
    colors?: string[];
};
